package com.yonge.cooleshow.cms.dal.entity;

import io.swagger.annotations.ApiModelProperty;

import java.util.List;

public class HelpCenterCatalog {

	@ApiModelProperty(value = "编号", required = false)
	private Long id;

	@ApiModelProperty(value = "父分类ID", required = false)
	private Long parentId;

	@ApiModelProperty(value = "分类名称", required = false)
	private String text;

	@ApiModelProperty(value = "描述", required = false)
	private String description;

	/**  */
	private java.util.Date createOn;

	/**  */
	private java.util.Date modifyOn;

	@ApiModelProperty(value = "排序", required = false)
	private Integer order;

	/**
	 * 子集合
	 */
	private List<HelpCenterCatalog> children;

	@ApiModelProperty(value = "状态 1 显示 0隐藏", required = false)
	private Integer status;

	public void setId(Long id) {
		this.id = id;
	}

	public Long getId() {
		return this.id;
	}

	public String getText() {
		return text;
	}

	public void setText(String text) {
		this.text = text;
	}

	public List<HelpCenterCatalog> getChildren() {
		return children;
	}

	public void setChildren(List<HelpCenterCatalog> children) {
		this.children = children;
	}

	public void setParentId(Long parentId) {
		this.parentId = parentId;
	}

	public Long getParentId() {
		return this.parentId;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public String getDescription() {
		return this.description;
	}

	public void setCreateOn(java.util.Date createOn) {
		this.createOn = createOn;
	}

	public java.util.Date getCreateOn() {
		return this.createOn;
	}

	public void setModifyOn(java.util.Date modifyOn) {
		this.modifyOn = modifyOn;
	}

	public java.util.Date getModifyOn() {
		return this.modifyOn;
	}

	public Integer getOrder() {
		return order;
	}

	public void setOrder(Integer order) {
		this.order = order;
	}

	public void setStatus(Integer status) {
		this.status = status;
	}

	public Integer getStatus() {
		return this.status;
	}

	public String toString() {
		StringBuilder buf = new StringBuilder();
		buf.append("HelpCatalog [");
		buf.append("id=").append(id).append(",");
		buf.append("parentId=").append(parentId).append(",");
		buf.append("text=").append(text).append(",");
		buf.append("description=").append(description).append(",");
		buf.append("createOn=").append(createOn).append(",");
		buf.append("modifyOn=").append(modifyOn).append(",");
		buf.append("order=").append(order).append(",");
		buf.append("status=").append(status).append(",");
		buf.setLength(buf.length() - 1);
		buf.append("]");
		return buf.toString();
	}

}
